package main

import (
	"fmt"
	"log"
	"os"
	"time"
)
func main() {

	// Load date and time into this variable
	currentTime := time.Now()

	// Now split the heck out of it in another six variables
	day := currentTime.Day()
	month := currentTime.Month()
	year := currentTime.Year()
	hour := currentTime.Hour()
	minute := currentTime.Minute()
	second := currentTime.Second()

	// Use environment variables to add stuff here
	author := os.Getenv("CVS_AUTHOR")
	file := os.Getenv("CVS_FILE")
	identifier := os.Getenv("CVS_ID")
	version := os.Getenv("CVS_VERSION")

	// Cursed, but it's like, whatever

	if len(author) == 0 || len(file) == 0 || len(identifier) == 0 || len(version) == 0 {
		log.Fatal("None of CVS_* are set.")
	} else {
		fmt.Printf("$%s: %s,v %s %d/%d/%d %d:%d:%d %s Exp $\n", identifier, file, version, year, month, day, hour, minute, second, author)
	}
}
